Bug 728644 - [abrt] ksh-20110505-2.fc14: job_kill: Process /bin/ksh was killed by signal 11 (SIGSEGV)
Summary: [abrt] ksh-20110505-2.fc14: job_kill: Process /bin/ksh was killed by signal 1...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ksh
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6bb2e9b30da0ea770eb95586989...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-06 00:24 UTC by jd1008
Modified: 2011-09-30 19:37 UTC (History)
1 user (show)

Fixed In Version: ksh-20110630-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-14 22:24:31 UTC


Attachments (Terms of Use)
File: backtrace (14.48 KB, text/plain)
2011-08-06 00:24 UTC, jd1008
no flags Details

Description jd1008 2011-08-06 00:24:14 UTC
abrt version: 1.1.18
architecture: i686
Attached file: backtrace, 14826 bytes
cmdline: -ksh
comment: See above
component: ksh
Attached file: coredump, 729088 bytes
crash_function: job_kill
executable: /bin/ksh
kernel: 3.0.0-1.fc14.i686
package: ksh-20110505-2.fc14
rating: 4
reason: Process /bin/ksh was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1312589680
uid: 1008

How to reproduce
-----
1. I tried to mount a USB flash drive. It was taking too long.
2. I typed Control-Z  and I got the shell prompt back.
3. I typed   kill %1  and my gnome terminal disappeared.

Comment 1 jd1008 2011-08-06 00:24:16 UTC
Created attachment 516965 [details]
File: backtrace

Comment 2 Michal Hlavinka 2011-08-12 10:57:59 UTC
simplified reproducer:

ksh -c 'kill %1'

Comment 3 Fedora Update System 2011-08-12 13:10:01 UTC
ksh-20110630-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ksh-20110630-1.fc14

Comment 4 Fedora Update System 2011-08-12 13:10:09 UTC
ksh-20110630-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ksh-20110630-3.fc16

Comment 5 Fedora Update System 2011-08-12 13:10:17 UTC
ksh-20110630-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ksh-20110630-3.fc15

Comment 6 jd1008 2011-08-12 16:16:19 UTC
You mean you will not backport it to F14??
Why?
I am not going to upgrade to F15 for many months to come.

Comment 7 Fedora Update System 2011-08-12 20:35:53 UTC
Package ksh-20110630-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ksh-20110630-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ksh-20110630-3.fc16
then log in and leave karma (feedback).

Comment 8 Michal Hlavinka 2011-08-15 09:55:34 UTC
(In reply to comment #6)
> You mean you will not backport it to F14??
> Why?

Wrong impression, see comment #3:
> ksh-20110630-1.fc14 has been submitted as an update for Fedora 14.
> https://admin.fedoraproject.org/updates/ksh-20110630-1.fc14

so it's submitted to updates-testing repository right now

Comment 9 Fedora Update System 2011-09-14 22:24:25 UTC
ksh-20110630-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-09-14 22:34:14 UTC
ksh-20110630-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-09-30 19:37:36 UTC
ksh-20110630-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.